Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000083Core InformPhrases and functional programmingpublic2010-06-21 11:322010-07-01 23:07
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000083: ICE deciding on nothing (which should never be done anyway) outside a phrase to decide a value
DescriptionFor the attached source I would expect either something like the following error or one complaining about deciding on nothing:

Problem. You wrote 'decide on nothing' as the outcome of a phrase, a constant, but in the definition of something which was not a phrase to decide a value.
 See the manual: 11.17 > Phrases to decide other things
Minimal Source Text To Reproduce
Indecision is a room.
When play begins:
	decide on nothing.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000121)
graham (administrator)
2010-06-22 13:45

Inform was in fact failing in the process of issuing a problem message; this could only happen if the value attempted to be decided on was the special "nothing" value. Fixed.

- Issue History
Date Modified Username Field Change
2010-06-21 11:32 EmacsUser New Issue
2010-06-21 16:37 jmcgrew Status new => acknowledged
2010-06-21 17:36 jmcgrew Status acknowledged => confirmed
2010-06-22 13:45 graham Note Added: 0000121
2010-06-22 13:45 graham Status confirmed => resolved
2010-06-22 13:45 graham Resolution open => fixed
2010-06-22 13:45 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker